geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Forrest Xia (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMODEVTOOLS-705) Inproper message when new an OSGi project with geronimo as the target runtime
Date Mon, 24 Jan 2011 02:52:43 GMT
Inproper message when new an OSGi project with geronimo as the target runtime
-----------------------------------------------------------------------------

                 Key: GERONIMODEVTOOLS-705
                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-705
             Project: Geronimo-Devtools
          Issue Type: Bug
          Components: eclipse-plugin
    Affects Versions: 3.0-M2, 3.0
         Environment: windows 7
eclipse helios sr1
Oracle jdk 1.6.0_20
            Reporter: Forrest Xia
            Assignee: Delos Dai
            Priority: Minor


Steps:
1. Install ibm osgi tool plugin
2. Install GEP 3.0-SNAPSHOT
3. Define a geronimo runtime and server
4. New an OSGi project, in the wizard page, select the defined geronimo runtime
5. On the next page, an message like this will be shown:

"Targeting Apache Geronimo v3.0 will change the active Target Platform for this workspace.
This will affect existing OSGi bundles and plug-in projects in your workspace. These projects
will be rebuilt against the new target platform, which may cause validation or compilation
errors if they are not compatible with the new target platform."

If not check "Change the active Target platform", you cannot go ahead to next step to finish
the project creation. After checking it, you can go next. However, the message above is not
correct, because the creation operation won't change existing projects' target runtime as
it said.

The message should be updated to reflect the real thing.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message